Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.dependency
Class KernelControllerContextActions

    java.lang.Object
      org.jboss.dependency.plugins.AbstractControllerContextActions
          org.jboss.kernel.plugins.dependency.KernelControllerContextActions

All Implemented Interfaces:
  org.jboss.dependency.spi.ControllerContextActions

public class KernelControllerContextActions
extends org.jboss.dependency.plugins.AbstractControllerContextActions

The KernelControllerActions.

When there is a security manager and we are using a native context we switch to our privileges to run the actions and switch back to callout to beans.

Otherwise, we just use the caller's privileges.

Version:
  $Revision: 1.12 $
Author:
  Adrian Brock

Nested Class Summary
`static class` | `KernelControllerContextActions.ConfigureAction` The configure action
`static class` | `KernelControllerContextActions.CreateDestroyLifecycleAction` A CreateDestroyLifecycleAction.
`static class` | `KernelControllerContextActions.DescribeAction` The describe action
`static class` | `KernelControllerContextActions.InstallAction` The install action
`static class` | `KernelControllerContextActions.InstantiateAction` The instantiate action
`static class` | `KernelControllerContextActions.KernelControllerContextAction` Abstract action
`static class` | `KernelControllerContextActions.LifecycleAction` A lifecycle action
`static class` | `KernelControllerContextActions.StartStopLifecycleAction` A StartStopLifecycleAction.

Constructor Summary
`protected` | `KernelControllerContextActions(Map actions)` Create a new KernelControllerContextActions.

Method Summary
`protected static Object` | `dispatchJoinPoint(KernelControllerContext context, org.jboss.joinpoint.spi.Joinpoint joinpoint)` Dispatch a joinpoint
`static KernelControllerContextActions` | `getInstance()` Get the instance

Methods inherited from class org.jboss.dependency.plugins.AbstractControllerContextActions
`getAction, install, uninstall`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KernelControllerContextActions

    protected KernelControllerContextActions(Map actions)

  Create a new KernelControllerContextActions.

Method Detail

### dispatchJoinPoint

    protected static Object dispatchJoinPoint(KernelControllerContext context,
                                              org.jboss.joinpoint.spi.Joinpoint joinpoint)
                                       throws Throwable

  Dispatch a joinpoint

  Parameters:
    `context` - the context
    `joinpoint` - the joinpoint
  Returns:
    the result
  Throws:
    `Throwable` - for any error

### getInstance

    public static KernelControllerContextActions getInstance()

  Get the instance

  Returns:
    the actions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.